package Stats::Hawking::HTRandom;

sub new {
	my ($class) = @_;
	my $self = {
		generator => Stats::Hawking::HawkingTemperature->new,
	};

	$class = ref($class) || $class;

	bless $self, $class;
}

sub random0 {
	my ($self, $solarmass_random) = shift;
	return $self->funcall($solarmass_random);
}

sub random {
	my ($self) = shift;
	return $self->funcall(rand);
}

1;
